Index: code/branches/presentation3/src/modules/weapons/RocketController.cc
===================================================================
--- code/branches/presentation3/src/modules/weapons/RocketController.cc	(revision 7095)
+++ code/branches/presentation3/src/modules/weapons/RocketController.cc	(revision 7127)
@@ -28,5 +28,5 @@
 
 #include "RocketController.h"
-#include "projectiles/SimpleRocket.h" 
+#include "projectiles/SimpleRocket.h"
 #include "util/Math.h"
 #include "weapons/projectiles/SimpleRocket.h"
@@ -66,6 +66,6 @@
             this->moveToTargetPosition();
         }
-        
-        
+
+
     }
 
@@ -102,5 +102,5 @@
 
 
-        if (distance > 1000 && this->rocket_->getVelocity().squaredLength()<160000) 
+        if (distance > 1000 && this->rocket_->getVelocity().squaredLength()<160000)
             this->rocket_->setAcceleration(this->rocket_->getOrientation()*Vector3(-20,-20,-20));
         if (distance <1000) this->rocket_->setAcceleration(0,0,0);
Index: code/branches/presentation3/src/modules/weapons/RocketController.h
===================================================================
--- code/branches/presentation3/src/modules/weapons/RocketController.h	(revision 7095)
+++ code/branches/presentation3/src/modules/weapons/RocketController.h	(revision 7127)
@@ -50,5 +50,5 @@
             RocketController(BaseObject* creator);
             virtual ~RocketController();
-            
+
             virtual void tick(float dt);
             SimpleRocket* getRocket() const
@@ -64,5 +64,5 @@
             Vector3 targetPosition_;
             WeakPtr<PlayerInfo> player_;
-                        
+
             WeakPtr<WorldEntity> target_;
 
Index: code/branches/presentation3/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/presentation3/src/modules/weapons/projectiles/Rocket.cc	(revision 7095)
+++ code/branches/presentation3/src/modules/weapons/projectiles/Rocket.cc	(revision 7127)
@@ -167,10 +167,10 @@
             this->localAngularVelocity_ = 0;
         }
-        
+
         if( GameMode::isMaster() )
         {
             if( this->bDestroy_ )
                 this->destroy();
-            
+
         }
     }
Index: code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 7095)
+++ code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 7127)
@@ -71,5 +71,5 @@
             this->fire_ = new ParticleEmitter(this);
             this->attach(this->fire_);
-           
+
             this->fire_->setOrientation(this->getOrientation());
             this->fire_->setSource("Orxonox/simplerocketfire");
@@ -90,5 +90,5 @@
 
 
-    
+
     /**
     * @brief updates state of rocket, disables fire if no fuel
@@ -107,16 +107,16 @@
             this->localAngularVelocity_ = 0;
 
-        
+
             if (this->fuel_)
             {
-                if (this->destroyTimer_.getRemainingTime()<  (static_cast<float>(this->FUEL_PERCENTAGE)/100) *this->lifetime_ ) 
+                if (this->destroyTimer_.getRemainingTime()<  (static_cast<float>(this->FUEL_PERCENTAGE)/100) *this->lifetime_ )
                     this->fuel_=false;
             } else
                 this->disableFire();
 
-            if( this->bDestroy_ ) 
+            if( this->bDestroy_ )
                 this->destroy();
         }
-                
+
     }
 
@@ -127,5 +127,5 @@
     void SimpleRocket::disableFire()
     {
-        this->setAcceleration(0,0,0);        
+        this->setAcceleration(0,0,0);
         this->fire_->detachFromParent();
     }
@@ -137,5 +137,5 @@
     SimpleRocket::~SimpleRocket()
     {
-        if (this->isInitialized()) 
+        if (this->isInitialized())
         {
             if( GameMode::isMaster() )
Index: code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.h
===================================================================
--- code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.h	(revision 7095)
+++ code/branches/presentation3/src/modules/weapons/projectiles/SimpleRocket.h	(revision 7127)
@@ -98,5 +98,5 @@
             */
             inline void rotatePitch(float value)
-            {   
+            {
                 this->rotatePitch(Vector2(value, 0)); }
             /**
@@ -105,5 +105,5 @@
             */
             inline void rotateRoll(float value)
-            { 
+            {
                 this->rotateRoll(Vector2(value, 0)); }
 
@@ -124,5 +124,5 @@
             Vector3 localAngularVelocity_;
             float damage_;
-            bool bDestroy_; 
+            bool bDestroy_;
             bool fuel_; //!< Bool is true while the rocket "has fuel"
 
Index: code/branches/presentation3/src/modules/weapons/weaponmodes/SimpleRocketFire.cc
===================================================================
--- code/branches/presentation3/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 7095)
+++ code/branches/presentation3/src/modules/weapons/weaponmodes/SimpleRocketFire.cc	(revision 7127)
@@ -54,5 +54,5 @@
 
             this->setMunitionName("TargetSeeking Rockets");
-            this->setDefaultSoundWithVolume("sounds/Rocket_launch.ogg",0.4); 
+            this->setDefaultSoundWithVolume("sounds/Rocket_launch.ogg",0.4);
         // The firing sound of the Rocket is played in Rocket.cc (because of OpenAl sound positioning)
     }
